package nz.ac.massey.javaecs;

public class Gravity {
    public Gravity(){
    }

    public Gravity(double x, double y){
        this.x = x;
        this.y = y;
    }
    public Gravity(double x, double y, double terminalX, double terminalY){
        this.x = x;
        this.y = y;
        this.terminalX = terminalX;
        this.terminalY = terminalY;
    }
    double x = 0.0;
    double y = -9.80665; // Force of gravity (from https://www.bipm.org/en/publications/si-brochure - 9th edition - p159 - Bureau International des Poids et Mesures - CC BY 4.0)
    // Gravity won't be considered if the velocity exceeds this (absolute value). Negative values are ignored (not limited)
    double terminalX = -1.0;
    double terminalY = -1.0;
    
}
